当前位置: > CentOS教程 > 软件安装教程 >

CentOS下安装ettercap

时间:2016-04-24 13:29来源:blog.csdn.net 作者:王三三 举报 点击:

ettercap 
ettercap下载地址 
http://ettercap.sourceforge.net/download.php

下载好之后解压出来,进入到解压目录

#tar zxvf  ettercap-NG-0.7.3.tar.gz
#cd ettercap-NG-0.7.3

阅读README

# vim README

MANDATORY: //安装必须依赖的

  • libpcap >= 0.8.1
  • libnet >= 1.1.2.1
  • libpthread
  • zlib

OPTIONAL: //下面的是可选的

To enable plugins:  - libltdl (part of libtool)

To have perl regexp in the filters:  - libpcre

To support SSH and SSL decryption:  - openssl 0.9.7

For the cursed GUI:  - ncurses >= 5.3

For the GTK+ GUI:  - pkgconfig >= 0.15.0  - Glib >= 2.2.2  - Gtk+ >= 2.2.2  - Atk >= 1.2.4  - Pango >= 1.2.3

百度云分享三个必须依赖的lib文件  libpcap-1.7.4.tar.gz  libnet-1.1.2.1.tar.gz  zlib-1.2.8.tar.xz  下载到本地之后解压出来进入目录,一个一个安装

# ./configure
# make
# make install

注意:.tar.xz的解压命令是

# xz -d [filename].tar.xz
# tar xvf [filename].tar

如果不安装会有类似的提示

configure: error: libpcap not found  configure: error: libpcap not found

确定都装上之后,继续进入ettercap的目录进行安装

[root@localhost ettercap-NG-0.7.3]# ./configure
...
...
...
configure: error: Package requirements (gtk+-2.0 >= 2.0.0 pango >= 1.0 atk >= 1.0) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the GTK_CFLAGS and GTK_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details.
[root@localhost ettercap-NG-0.7.3]#

继续错误提示:  configure: error: Package requirements (gtk+-2.0 >= 2.0.0 pango >= 1.0 atk >= 1.0) were not met.  gtk+-2.0、pango、atk,这三个包不符合要求,可能是版本太低。

查到gtk+的安装方法,按下面顺序一个一个装:

1)pkg-config (pkg-config Site)  2)GNU make (GNU make Site)  3)JPEG, PNG and TIFF image libraries (GTK+ Site)  4)FreeType (FreeType Site)  5)fontconfig (fontconfig Site)  6)GNU libiconv library (if your system doesn’t have iconv()) (GNU libiconv Site)  7)GNU gettext (if your system doesn’t have gettext()) (GTK+ Site)  8)GLib (GTK+ Site)  9)Pango (GTK+ Site)  10)ATK (GTK+ Site)  11)GTK+ (GTK+ Site)

还得自己一个包一个包的去搜,然后下载下来安装。如果不嫌麻烦的可以采用上面的11个步骤。

这里提供一条代码安装的,不过这个方法按道理说不是很严谨。

# yum install gtk*

等待安装完毕之后再重新执行./configure

[root@localhost ettercap-NG-0.7.3]# ./configure
...
...
...
ettercap has been configured as follow...

==================================================

 Install directory:  /usr/local


Libraries :

 LIBPCAP ................  default
 LIBNET .................  default
 LIBSSL .................  default
 NCURSES ................  NO
 GTK+ ...................  yes

Functionalities :

 Debug mode .............  no
 Plugin support .........  no
 Passive DNS ............  no
 Perl regex in filters ..  no
 Iconv UTF-8 support ....  yes

==================================================

[root@localhost ettercap-NG-0.7.3]#

如果依赖库的问题都没有了的话,会出现这个提示  表示目前系统支持的函数库和功能。  如果想拥有全部的功能,可以查看README文档,把里面的可选组件都装上。

接着执行make和make install

[root@localhost ettercap-NG-0.7.3]# make&&make install

如果运行ettercap出现下面的内容,表示安装成功了。

[root@localhost ettercap-NG-0.7.3]# ettercap

ettercap NG-0.7.3 copyright 2001-2004 ALoR & NaGA

Please select an User Interface

[root@localhost ettercap-NG-0.7.3]#

开始折腾吧 ^_^

 
 

------分隔线----------------------------
发表评论
为了和诣的生活,我关闭了评论页面,请大家到QQ群里交流吧:348944156,也欢迎关注本站微信公众号:centoscn